from django.contrib import admin
from .models import RadioConfig

@admin.register(RadioConfig)
class RadioConfigAdmin(admin.ModelAdmin):
    def has_add_permission(self, request):
        # Limit to only one configuration object
        if self.model.objects.count() >= 1:
            return False
        return super().has_add_permission(request)